<?php 

namespace Schaffen\SerasaRemessa\Cnab600;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;

class Trailler extends Record {
    private $code = 9;
    private $sequence;

    public function __construct($sequence) {
        $this->sequence = $sequence;

        $this->setColumn('code', new RecordColumn($this->code, RecordColumn::TYPE_NUMERIC, 1, 1));
        $this->setColumn('blank', new RecordColumn('', RecordColumn::TYPE_ALPHANUMERIC, 2, 592));
        $this->setColumn('sequence', new RecordColumn($this->sequence, RecordColumn::TYPE_NUMERIC, 594, 7));
    }
}