<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB012 extends Record {
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "bank",
            "position" => "5",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "agency",
            "position" => "25",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "account",
            "position" => "29",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "ddd",
            "position" => "37",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "phone",
            "position" => "41",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "branch",
            "position" => "49",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "since",
            "position" => "53",
            "size" => "6",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "59",
            "size" => "57",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];

    public function __construct($values = null) {
        $this->createColumns();
    }


}