<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB352 extends Record {
    protected $templateColumns = [
       
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "enterprise",
            'position' => 5,
            'size' => 40,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "cnpj",
            'position' => 45,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "perc_partic",
            'position' => 53,
            'size' => 5,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "state",
            'position' => 58,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "status",
            'position' => 60,
            'size' => 43,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "date_start",
            'position' => 103,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "date_last_update",
            'position' => 109,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "filler_1",
            'position' => 115,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}
